<template>
  <PanelItem
    :field="field"
    :index="index"
  >
    <template #value>
      <p
        v-if="fieldHasValue || usesCustomizedDisplay"
        :title="field.value"
      >
        {{ cFormattedValue }}
        <em
          v-if="cHasComment"
          class="text-gray-500 dark:text-gray-500"
        >
          &nbsp;{{ cComment }}
        </em>
      </p>
      <p v-else>
        &mdash;
      </p>
    </template>
  </PanelItem>
</template>

<script>
import {
  FieldValue,
} from 'laravel-nova'

import {
  useDateFieldUtils,
} from 'js/composables'

export default {
  mixins: [FieldValue],

  props: {
    index: {
      type: [String, Number],
      required: true,
    },
    resource: {
      type: Object,
      required: true,
    },
    resourceName: {
      type: String,
      required: true,
    },
    resourceId: {
      type: [String, Number],
      required: true,
    },
    field: {
      type: Object,
      required: true,
    },
  },

  setup: (props, context) => useDateFieldUtils(props, context, 'detail'),
}
</script>
